# Cinnamon Torch package

The tensorflow package offers ``Component`` and related ``Configuration`` that rely on the Tensorflow library.

Thus, ``cinnamon-th`` mainly provides ``Model``, ``Callback`` and ``Helper`` implementations.

## Documentation

Check the online documentation of [cinnamon-th](https://nlp-unibo.github.io/cinnamon_th/) for more information.

Check also the central [cinnamon](https://nlp-unibo.github.io/cinnamon/) documentation to overview all cinnamon packages!


## Components and Configurations

The tensorflow package defines the following ``Component`` and ``Configuration``

- Neural networks: a high-level implementation to build your tensorflow-based neural models.
- Callbacks (e.g., early stopping)
- Framework helpers for tensorflow/cuda deterministic behaviour

## Install

pip

      pip install cinnamon-th

git

      git clone https://github.com/nlp-unibo/cinnamon_th

## Contribute

Want to contribute with new ``Component`` and ``Configuration``?

Feel free to submit a merge request! 

Cinnamon is meant to be a community project :)

## Contact

Don't hesitate to contact:
- Federico Ruggeri @ [federico.ruggeri6@unibo.it](mailto:federico.ruggeri6@unibo.it)

for questions/doubts/issues!